Bug 179569

Summary: gnome terminal crashes when starting multiple windows in quick succession
Product: [Fedora] Fedora Reporter: John Ellson <john.ellson>
Component: gnome-terminalAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED RAWHIDE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-03-08 12:13:23 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 150221    

Description John Ellson 2006-02-01 09:24:19 EST
Description of problem:
gnome-terminal-2.12.0-2.x86_64 does not have this problem.

Gnome-terminal crashhes all of its existing and new windows when I try to start
multiple new gnome-terminal windows from an existing gnome-terminal window using
a shell script:

#!/bin/sh
gnome-terminal -x ssh localhost &
gnome-terminal -x ssh localhost &
gnome-terminal -x ssh localhost &
gnome-terminal -x ssh localhost &
gnome-terminal -x ssh localhost &
gnome-terminal -x ssh localhost &
gnome-terminal -x ssh localhost &
gnome-terminal -x ssh localhost &


Version-Release number of selected component (if applicable):
gnome-terminal-2.13.90-1


How reproducible:
100%

Steps to Reproduce:
1.from an existing gnome-terminal window run the shell script listed above.
2.
3.
  
Actual results:
all gnome-terminal windows crash

Expected results:
no crash

Additional info:
This was reported with #178015, but apparently this is a different problem.
Also, to me, this is a high severity bug.
Comment 1 John Ellson 2006-02-01 09:55:23 EST
ellson@ontap:~> gdb gnome-terminal
gdb: Symbol `acs_map' has different size in shared object, consider re-linking
GNU gdb Red Hat Linux (6.3.0.0-1.98rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host libthread_db l
ibrary "/lib64/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/gnome-terminal 
[Thread debugging using libthread_db enabled]
[New Thread 47199350929008 (LWP 12148)]
Detaching after fork from child process 12151.
Detaching after fork from child process 12152.
[New Thread 1084229984 (LWP 12153)]
Detaching after fork from child process 12191.
Detaching after fork from child process 12195.
Detaching after fork from child process 12210.
Detaching after fork from child process 12220.
Detaching after fork from child process 12235.
Detaching after fork from child process 12276.
Detaching after fork from child process 12298.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 47199350929008 (LWP 12148)]
0x0000003de9e3ac3e in g_strfreev () from /usr/lib64/libglib-2.0.so.0
(gdb) where
#0  0x0000003de9e3ac3e in g_strfreev () from /usr/lib64/libglib-2.0.so.0
#1  0x000000000041917a in handle_new_terminal_events () at terminal.c:3731
#2  0x0000003dea00af33 in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#3  0x0000003dec43b7e7 in bonobo_closure_invoke_va_list ()
   from /usr/lib64/libbonobo-2.so.0
#4  0x0000003dec43ba23 in bonobo_closure_invoke ()
   from /usr/lib64/libbonobo-2.so.0
#5  0x0000003dec42c472 in bonobo_listener_new ()
   from /usr/lib64/libbonobo-2.so.0
#6  0x0000003deb62f15e in ORBit_small_invoke_adaptor ()
   from /usr/lib64/libORBit-2.so.0
#7  0x0000003deb63ca3e in ORBit_recv_buffer_return_sys_exception ()
   from /usr/lib64/libORBit-2.so.0
#8  0x0000003deb63cfe5 in ORBit_recv_buffer_return_sys_exception ()
   from /usr/lib64/libORBit-2.so.0
#9  0x0000003deb63da05 in ORBit_skel_class_register ()
   from /usr/lib64/libORBit-2.so.0
#10 0x0000003deb63e870 in ORBit_handle_request ()
   from /usr/lib64/libORBit-2.so.0
#11 0x0000003deb62bcaa in giop_connection_handle_input ()
   from /usr/lib64/libORBit-2.so.0
#12 0x0000003deb643c90 in link_connection_state_changed ()
---Type <return> to continue, or q <return> to quit---
Comment 2 John Ellson 2006-02-01 09:59:06 EST
The preceeding gdb trace was generated by starting an xterm, running "gdb
gnome-terminal", typeing "run" at the gdb prompt, then invoking the shell script
in comment #1 from the new gnome-terminal.
Comment 3 John Ellson 2006-02-01 10:00:28 EST
s/comment #1/comment #0/
Comment 4 Ray Strode [halfline] 2006-02-01 11:16:17 EST
Hi, if you add --disable-factory to your gnome-terminal calls, does it work
around your problem?
Comment 5 John Ellson 2006-02-01 11:27:17 EST
Yes.

I take it that is a workaround rather than a fix?
Comment 6 Ray Strode [halfline] 2006-02-01 11:42:59 EST
Yes, it was just a little bit of debugging to narrow down the problem and to
potentially provide you with a solution until a fix is worked on.
Comment 7 John Ellson 2006-03-02 15:35:28 EST
I can also trigger this problem by starting multiple terminals in quick
succession by clicking on a gnome-terminal icon on the panel.   I can add
--disable-factory to the icon properties to work around the problem, but others
will run into this too.

This is with gnome-terminal-2.13.91-1
Comment 8 Matthias Clasen 2006-03-08 12:13:23 EST
This is supposed to be fixed in 2.13.93. Reopen if you still see it.